## golang-github-bradleyjkemp-cupaloy 2.7.0

=== Makefile ===
.PHONY: install
install: get_dependencies install_linters

.PHONY: get_dependencies
get_dependencies:
	go get github.com/mattn/goveralls

.PHONY: install_linters
install_linters:
	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s -- -b $(GOPATH)/bin v1.12.5

.PHONY: lint
lint:
	$(GOPATH)/bin/golangci-lint run

.PHONY: test
test: lint
	go test ./...


.PHONY: test-ci
test-ci: coverage lint

.PHONY: coverage
coverage:
	go test -v -coverpkg ./... -coverprofile coverage.out ./...

.PHONY: clean
clean:
	rm -rf examples/ignored*

=== debian/changelog ===
golang-github-bradleyjkemp-cupaloy (2.7.0-1) unstable; urgency=medium

  * New upstream release.
  * reverse dependencies successfully built with ratt:
    - c2go

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 07 Jan 2022 00:12:08 +0100

golang-github-bradleyjkemp-cupaloy (2.6.0-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 30 Aug 2021 19:20:53 +0200

golang-github-bradleyjkemp-cupaloy (2.6.0-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 11 Jul 2021 18:32:48 +0000

=== debian/control ===
Source: golang-github-bradleyjkemp-cupaloy
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-davecgh-go-spew-dev,
               golang-github-pmezard-go-difflib-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-bradleyjkemp-cupaloy
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-bradleyjkemp-cupaloy.git
Homepage: https://github.com/bradleyjkemp/cupaloy
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/bradleyjkemp/cupaloy

Package: golang-github-bradleyjkemp-cupaloy-dev
Architecture: all
Depends: golang-github-davecgh-go-spew-dev,
         golang-github-pmezard-go-difflib-dev,
         golang-github-stretchr-testify-dev,
         ${misc:Depends}
Description: simple Go snapshot testing
 This package takes a snapshot of the test output and compares it to a
 snapshot committed alongside the tests. If the values don't match then
 the test will be failed.
 .
 There's no need to manually manage snapshot files: just use the
 cupaloy.SnapshotT(t, value) function in the tests and cupaloy will
 automatically find the relevant snapshot file (based on the test name)
 and compare it with the given value.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_test:
	# there are only examples, but no real tests in this package

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-bradleyjkemp-cupaloy-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/bradleyjkemp/cupaloy/tags .*/v?(\d\S*)\.tar\.gz debian uupdate
